/***************************************************************************
*
*	File name : massstorage.c
*	Function  : Mass Storage Bulk only function
*	Revision  :
*		Aug/29/2007	Yakushiji		First revision
*
****************************************************************************/

// Include File
#include	"usb_api.h"
#include	"descriptor.h"

#ifdef	FOR_CLASS_REQUEST

// Class request type


// Prototype
void			ResetFunc(void);
int				RemoteFunc(void);
int				ClassFunc(T_USB_REQUEST_PACKET *);


/*************************************************************
	ResetFunc()

	description:
		USB storage device reset process

	argument	: None
	return		: None

**************************************************************/
void ResetFunc(void){

}

/*************************************************************
	RemoteFunc()

	description:
		Remote wakeup process.

	argument	: None
	return		: None

**************************************************************/
int RemoteFunc(void){

	// if find remote wakeup trigger then return SUCCESS value

	return ERROR;
}

/*************************************************************
	ClassFunc()

	description:
		Class Request process.

	argument	: None
	return		: None

**************************************************************/
int ClassFunc(T_USB_REQUEST_PACKET *request){

	int ret = ERROR;

	// check request
	switch(request->request){
	default:
		break;
	}

	UsbCtrlFinish(ret);

	return ret;
}

#endif
