/***************************************************************************
*
*	File name	: vector.h
*	Function	: Prototype for Vector Table (C17801_FPGA)
*	Revision	:
*		07/31/2007	Nariai		First revision
*
****************************************************************************/
#ifndef	__VECTOR_H__
#define	__VECTOR_H__

#ifdef __cplusplus
extern "C" {
#endif


// Boot
extern void Boot(void);

// Interrupt Handler
extern void AddrErrInt(void)	__attribute__ ((interrupt_handler));
extern void NmiInt(void)		__attribute__ ((interrupt_handler));
extern void RsvInt(void)		__attribute__ ((interrupt_handler));
extern void Gpio0Int(void)		__attribute__ ((interrupt_handler));
extern void Gpio1Int(void)		__attribute__ ((interrupt_handler));
extern void Gpio2Int(void)		__attribute__ ((interrupt_handler));
extern void Gpio3Int(void)		__attribute__ ((interrupt_handler));
extern void MftInt(void)		__attribute__ ((interrupt_handler));
extern void AdcRangeInt(void)	__attribute__ ((interrupt_handler));
extern void AdcEndInt(void)		__attribute__ ((interrupt_handler));
extern void VecNo12Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo13Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo14Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo15Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo16Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo17Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo18Int(void)	__attribute__ ((interrupt_handler));
extern void VecNo19Int(void)	__attribute__ ((interrupt_handler));
extern void RtcInt(void)		__attribute__ ((interrupt_handler));
extern void T8Ch0Int(void)		__attribute__ ((interrupt_handler));
extern void T8Ch1Int(void)		__attribute__ ((interrupt_handler));
extern void T8Ch2Int(void)		__attribute__ ((interrupt_handler));
extern void T8Ch3Int(void)		__attribute__ ((interrupt_handler));
extern void LcdcInt(void)		__attribute__ ((interrupt_handler));
extern void SpiInt(void)		__attribute__ ((interrupt_handler));
extern void UsbInt(void)		__attribute__ ((interrupt_handler));
extern void I2sTxInt(void)		__attribute__ ((interrupt_handler));
extern void I2sRxInt(void)		__attribute__ ((interrupt_handler));
extern void RemcInt(void)		__attribute__ ((interrupt_handler));

#ifdef __cplusplus
}
#endif

#endif	// __VECTOR_H__
