/***************************************************************************
*
*	File name : usb_request.h
*	Function  : USB driver (C17801)
*			Standard request process.
*	Revision  :
*		August. 20, 2007	Yakushiji		First revision
*
****************************************************************************/

#ifndef	__USB_REQUEST_H__
#define	__USB_REQUEST_H__

#define DEVICE_DESCTYPE				(0x01)
#define CONFIGURATION_DESCTYPE		(0x02)
#define STRING_DESCTYPE				(0x03)
#define	INTERFACE_DECTYPE			(0x04)
#define	ENDPOINT_DECTYPE			(0x05)
#define DEVICE_QUALIFIER_DESCTYPE	(0x06)
#define OTHER_SPEED_CONFIG_DESCTYPE	(0x07)
#define INTERFACE_POWER_DESCTYPE	(0x08)


#ifdef __cplusplus
extern "C" {
#endif

extern unsigned char		g_UsbState;				// USB Device State
extern unsigned char		g_CurrentAlterSet;		// Current alternate interface

extern unsigned short		g_EP0TotalLength;		// Endpoint0 total length
extern unsigned short		g_EP0ActualLength;		// Endpoint0 actual length

// Prototype
extern int					StandardRequest(void);

#ifdef __cplusplus
}
#endif


#endif	// __USB_REQUEST_H__
